Package com.independentsoft.graph.workbooks

# Enum Class ChartType

java.lang.Object
java.lang.Enum<ChartType>
com.independentsoft.graph.workbooks.ChartType

All Implemented Interfaces:
  `Serializable`, `Comparable<ChartType>`, `Constable`

public enum ChartType extends Enum<ChartType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Area`
  `Area3D`
  `AreaStacked`
  `AreaStacked100`
  `AreaStacked1003D`
  `AreaStacked3D`
  `BarClustered`
  `BarClustered3D`
  `BarOfPie`
  `BarStacked`
  `BarStacked100`
  `BarStacked1003D`
  `BarStacked3D`
  `Boxwhisker`
  `Bubble`
  `Bubble3DEffect`
  `Column3D`
  `ColumnClustered`
  `ColumnClustered3D`
  `ColumnStacked`
  `ColumnStacked100`
  `ColumnStacked1003D`
  `ColumnStacked3D`
  `ConeBarClustered`
  `ConeBarStacked`
  `ConeBarStacked100`
  `ConeCol`
  `ConeColClustered`
  `ConeColStacked`
  `ConeColStacked100`
  `CylinderBarClustered`
  `CylinderBarStacked`
  `CylinderBarStacked100`
  `CylinderCol`
  `CylinderColClustered`
  `CylinderColStacked`
  `CylinderColStacked100`
  `Doughnut`
  `DoughnutExploded`
  `Funnel`
  `Histogram`
  `Invalid`
  `Line`
  `Line3D`
  `LineMarkers`
  `LineMarkersStacked`
  `LineMarkersStacked100`
  `LineStacked`
  `LineStacked100`
  `Pareto`
  `Pie`
  `Pie3D`
  `PieExploded`
  `PieExploded3D`
  `PieOfPie`
  `PyramidBarClustered`
  `PyramidBarStacked`
  `PyramidBarStacked100`
  `PyramidCol`
  `PyramidColClustered`
  `PyramidColStacked`
  `PyramidColStacked100`
  `Radar`
  `RadarFilled`
  `RadarMarkers`
  `RegionMap`
  `StockHLC`
  `StockOHLC`
  `StockVHLC`
  `StockVOHLC`
  `Sunburst`
  `Surface`
  `SurfaceTopView`
  `SurfaceTopViewWireframe`
  `SurfaceWireframe`
  `Treemap`
  `Waterfall`
  `XYScatter`
  `XYScatterLines`
  `XYScatterLinesNoMarkers`
  `XYScatterSmooth`
  `XYScatterSmoothNoMarkers`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChartType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChartType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Area3D

    public static final ChartType Area3D

  - ### AreaStacked3D

    public static final ChartType AreaStacked3D

  - ### AreaStacked1003D

    public static final ChartType AreaStacked1003D

  - ### BarClustered3D

    public static final ChartType BarClustered3D

  - ### BarStacked3D

    public static final ChartType BarStacked3D

  - ### BarStacked1003D

    public static final ChartType BarStacked1003D

  - ### Column3D

    public static final ChartType Column3D

  - ### ColumnClustered3D

    public static final ChartType ColumnClustered3D

  - ### ColumnStacked3D

    public static final ChartType ColumnStacked3D

  - ### ColumnStacked1003D

    public static final ChartType ColumnStacked1003D

  - ### Line3D

    public static final ChartType Line3D

  - ### Pie3D

    public static final ChartType Pie3D

  - ### PieExploded3D

    public static final ChartType PieExploded3D

  - ### Area

    public static final ChartType Area

  - ### AreaStacked

    public static final ChartType AreaStacked

  - ### AreaStacked100

    public static final ChartType AreaStacked100

  - ### BarClustered

    public static final ChartType BarClustered

  - ### BarOfPie

    public static final ChartType BarOfPie

  - ### BarStacked

    public static final ChartType BarStacked

  - ### BarStacked100

    public static final ChartType BarStacked100

  - ### Boxwhisker

    public static final ChartType Boxwhisker

  - ### Bubble

    public static final ChartType Bubble

  - ### Bubble3DEffect

    public static final ChartType Bubble3DEffect

  - ### ColumnClustered

    public static final ChartType ColumnClustered

  - ### ColumnStacked

    public static final ChartType ColumnStacked

  - ### ColumnStacked100

    public static final ChartType ColumnStacked100

  - ### ConeBarClustered

    public static final ChartType ConeBarClustered

  - ### ConeBarStacked

    public static final ChartType ConeBarStacked

  - ### ConeBarStacked100

    public static final ChartType ConeBarStacked100

  - ### ConeCol

    public static final ChartType ConeCol

  - ### ConeColClustered

    public static final ChartType ConeColClustered

  - ### ConeColStacked

    public static final ChartType ConeColStacked

  - ### ConeColStacked100

    public static final ChartType ConeColStacked100

  - ### CylinderBarClustered

    public static final ChartType CylinderBarClustered

  - ### CylinderBarStacked

    public static final ChartType CylinderBarStacked

  - ### CylinderBarStacked100

    public static final ChartType CylinderBarStacked100

  - ### CylinderCol

    public static final ChartType CylinderCol

  - ### CylinderColClustered

    public static final ChartType CylinderColClustered

  - ### CylinderColStacked

    public static final ChartType CylinderColStacked

  - ### CylinderColStacked100

    public static final ChartType CylinderColStacked100

  - ### Doughnut

    public static final ChartType Doughnut

  - ### DoughnutExploded

    public static final ChartType DoughnutExploded

  - ### Funnel

    public static final ChartType Funnel

  - ### Histogram

    public static final ChartType Histogram

  - ### Invalid

    public static final ChartType Invalid

  - ### Line

    public static final ChartType Line

  - ### LineMarkers

    public static final ChartType LineMarkers

  - ### LineMarkersStacked

    public static final ChartType LineMarkersStacked

  - ### LineMarkersStacked100

    public static final ChartType LineMarkersStacked100

  - ### LineStacked

    public static final ChartType LineStacked

  - ### LineStacked100

    public static final ChartType LineStacked100

  - ### Pareto

    public static final ChartType Pareto

  - ### Pie

    public static final ChartType Pie

  - ### PieExploded

    public static final ChartType PieExploded

  - ### PieOfPie

    public static final ChartType PieOfPie

  - ### PyramidBarClustered

    public static final ChartType PyramidBarClustered

  - ### PyramidBarStacked

    public static final ChartType PyramidBarStacked

  - ### PyramidBarStacked100

    public static final ChartType PyramidBarStacked100

  - ### PyramidCol

    public static final ChartType PyramidCol

  - ### PyramidColClustered

    public static final ChartType PyramidColClustered

  - ### PyramidColStacked

    public static final ChartType PyramidColStacked

  - ### PyramidColStacked100

    public static final ChartType PyramidColStacked100

  - ### Radar

    public static final ChartType Radar

  - ### RadarFilled

    public static final ChartType RadarFilled

  - ### RadarMarkers

    public static final ChartType RadarMarkers

  - ### RegionMap

    public static final ChartType RegionMap

  - ### StockHLC

    public static final ChartType StockHLC

  - ### StockOHLC

    public static final ChartType StockOHLC

  - ### StockVHLC

    public static final ChartType StockVHLC

  - ### StockVOHLC

    public static final ChartType StockVOHLC

  - ### Sunburst

    public static final ChartType Sunburst

  - ### Surface

    public static final ChartType Surface

  - ### SurfaceTopView

    public static final ChartType SurfaceTopView

  - ### SurfaceTopViewWireframe

    public static final ChartType SurfaceTopViewWireframe

  - ### SurfaceWireframe

    public static final ChartType SurfaceWireframe

  - ### Treemap

    public static final ChartType Treemap

  - ### Waterfall

    public static final ChartType Waterfall

  - ### XYScatter

    public static final ChartType XYScatter

  - ### XYScatterLines

    public static final ChartType XYScatterLines

  - ### XYScatterLinesNoMarkers

    public static final ChartType XYScatterLinesNoMarkers

  - ### XYScatterSmooth

    public static final ChartType XYScatterSmooth

  - ### XYScatterSmoothNoMarkers

    public static final ChartType XYScatterSmoothNoMarkers

- ## Method Details

  - ### values

    public static ChartType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChartType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null